
Katello - Feature #24066

installer missing --upgrade-mongo-storage option to installer

06/25/2018 03:24 PM - Chris Roberts

Status: Resolved   

Priority: Normal   

Assignee: Chris Roberts   

Category: Installer   

Target version: Katello 3.9.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1593253 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello-installer

/pull/639

  

Description

Description of problem:

during upgrade from 6.3 to 6.4 I am asked to run satellite-installer --upgrade-mongo-storage

/var/log/foreman-installer/satellite.log

[ INFO 2018-06-20T04:47:27 main] Upgrade Step: mongo_mmapv1_check...

[DEBUG 2018-06-20T04:47:28 main] systemctl stop mongod finished successfully!

[ INFO 2018-06-20T04:47:28 main] Detecting Pulp database and no wiredTiger files, keeping storage engine as MMAPv1

[ INFO 2018-06-20T04:47:28 main] To upgrade to wiredTiger at a later time run foreman-installer with the --upgrade-mongo-storage

flag.

[ INFO 2018-06-20T04:47:28 main] Upgrade Step: Running installer...

https://github.com/Katello/katello-installer/blob/00105a73b6da68d6051ed8a62e380b263f2bc6ec/hooks/pre/30-upgrade.rb#L63

but:

1. satellite-installer --upgrade-mongo-storage

ERROR: Unrecognised option '--upgrade-mongo-storage'

See: 'satellite-installer --help'

Version-Release number of selected component (if applicable):

foreman-installer-katello-3.7.0-1.rc1.el7sat.noarch

satellite-installer-6.4.0.5-1.beta.el7sat.noarch

foreman-installer-1.18.0-0.1.RC1.el7sat.noarch

katello-installer-base-3.7.0-1.rc1.el7sat.noarch

How reproducible:

always

Associated revisions

Revision 8d83241f - 07/03/2018 02:13 PM - Chris Roberts

Refs #24066 - Update Rubocop method length cop

Allow longer method length for MongoDB Engine Upgrade

Revision c5a1ec41 - 07/13/2018 12:38 PM - Chris Roberts

Refs #24066 - Update Rubocop method length cop

Allow longer method length for MongoDB Engine Upgrade

Revision 596df8d7 - 09/12/2018 06:42 PM - Chris Roberts 

Fixes #24066 - Add Mongo storage engine upgrade
https://github.com/Katello/katello-installer/blob/00105a73b6da68d6051ed8a62e380b263f2bc6ec/hooks/pre/30-upgrade.rb#L63


History

#1 - 06/25/2018 03:25 PM - Chris Roberts

- Tracker changed from Bug to Feature

#2 - 06/25/2018 03:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello-installer/pull/639 added

#3 - 06/27/2018 05:49 PM - Andrew Kofink

- translation missing: en.field_release set to 338

#4 - 07/02/2018 08:52 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello-installer/pull/656 added

#5 - 07/11/2018 06:25 PM - Justin Sherrill

- Target version changed from Katello 3.7.0 to Katello 3.7.1

- Triaged set to No

#6 - 07/12/2018 09:47 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello-installer/pull/659 added

#7 - 08/20/2018 03:58 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello-installer/pull/674 added

#8 - 09/06/2018 08:03 PM - Jonathon Turel

- Target version changed from Katello 3.7.1 to 931

#9 - 09/12/2018 06:54 PM - Chris Roberts

- Status changed from Ready For Testing to Resolved

#10 - 09/12/2018 06:58 PM - Chris Roberts

- Pull request deleted (https://github.com/Katello/katello-installer/pull/674, https://github.com/Katello/katello-installer/pull/659,

https://github.com/Katello/katello-installer/pull/656)

#11 - 10/29/2018 07:02 PM - Jonathon Turel

- Target version changed from 931 to Katello 3.9.0

#12 - 12/05/2018 08:22 PM - Chris Roberts

- Subject changed from installer missing --upgrade-mongo-storage option to installer --upgrade-mongo-storage-engine is not restoring database

#13 - 12/05/2018 08:29 PM - Chris Roberts

- Subject changed from installer --upgrade-mongo-storage-engine is not restoring database to installer missing --upgrade-mongo-storage option to

installer
